logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



PHP 7.2.1, 7.1.13, 7.0.27, 5.6.33, 5.5.38, 5.4.45, 5.3.29
Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8
 
Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads



View previous topic :: View next topic  
Author Message
Jan-E



Joined: 09 Mar 2012
Posts: 800
Location: Amsterdam, NL, EU

PostPosted: Fri 08 Dec '17 17:06    Post subject: Reply with quote

I updated all builds to OpenSSL 1.0.2n with Fips 2.0.16. Including the 4 variants of PHP 7.2.0 it concerns 28 versions by now.

OpenSSL Fips for the x86 versions needed a patch for building. The OpenSSL people were quick in reacting:
https://github.com/openssl/openssl/issues/4864 (24 hours ago)
https://github.com/openssl/openssl/issues/2533#issuecomment-350021938 (23 hours ago)
https://github.com/openssl/openssl/pull/4870 (22 hours ago)
Back to top
puertoblack2003



Joined: 31 Jul 2009
Posts: 68

PostPosted: Sat 09 Dec '17 16:01    Post subject: Reply with quote

thanks it fixes my issue with sending email out on wordpress
Back to top
Mandrake



Joined: 11 Dec 2013
Posts: 4
Location: Denmark, Copenhagen

PostPosted: Fri 05 Jan '18 9:59    Post subject: Reply with quote

It seems like php 7.2.1 links are broken, maybe the files are not uploaded yet ?

EDIT : They are working fine now Smile
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 800
Location: Amsterdam, NL, EU

PostPosted: Fri 05 Jan '18 17:43    Post subject: Reply with quote

There was a tiny flaw in the zip at github.com, which I always use for building: the resulting builds were PHP-7.2.1-dev etc. When I saw your message, I removed the '-dev' from the filenames. Later on, I did a rebuild with the sources from windows.php.net.

For a discussion on the flaw and a related issue read my discussion with the release masters at:
https://externals.io/message/101534#101539
Back to top
Deadooshka



Joined: 06 Jan 2018
Posts: 2

PostPosted: Sun 07 Jan '18 9:41    Post subject: Reply with quote

got a crash with php-7.2.1-nts-Win32-VC15-x86 when using zip protocol handler.
Code:
echo file_get_contents("zip://{$path}#readme.txt");
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 800
Location: Amsterdam, NL, EU

PostPosted: Sun 07 Jan '18 11:07    Post subject: Reply with quote

Deadooshka wrote:
got a crash with php-7.2.1-nts-Win32-VC15-x86 when using zip protocol handler.
Code:
echo file_get_contents("zip://{$path}#readme.txt");

Please report it at https://bugs.php.net/
Back to top
Deadooshka



Joined: 06 Jan 2018
Posts: 2

PostPosted: Sun 07 Jan '18 23:15    Post subject: Reply with quote

Jan-E wrote:
Please report it at https://bugs.php.net/

The official build doesn't crash.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 800
Location: Amsterdam, NL, EU

PostPosted: Mon 08 Jan '18 12:09    Post subject: Reply with quote

Ouch. Zlib 1.2.11 does not support assembler builds anymore, allthough the code is still there. x64 is still fine and 1.2.8 is also fine.

There is nothing in the zlib-changelog, only this comment on github (which does not tell that contrib/masmx86 still exists):
https://github.com/madler/zlib/issues/293#issue-253089104

The PHP 7.2.1 builds should be OK now.
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache Building & Member Downloads Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8
Page 8 of 8